Index: SMC/trunk/SMC/src/web/scripts/js/config.js
===================================================================
--- SMC/trunk/SMC/src/web/scripts/js/config.js	(revision 5978)
+++ SMC/trunk/SMC/src/web/scripts/js/config.js	(revision 5978)
@@ -0,0 +1,48 @@
+
+var config ={
+       "url": {"data_prefix":"data/",
+                "detail":"get.xql" ,
+             //  "detail":"http://localhost:8580/exist/apps/smc-browser/get.xql" ,
+            // "detail":"data/smc_stats_detail.html",
+               "userdocs":"docs/userdocs.html"
+              },
+        "mode":"dynamic",  // "static | dynamic"
+        "min_circle":4,
+        "max_circle":80,
+        "base_font_size":10,
+        "select_rect_min_size":5,
+        "first_level_margin":20,
+        "show_count":1
+        
+};
+
+// configuration of the navigation widgets 
+var opts = {"graph": {"value":"smc-graph-basic.js", 
+                    "values":[{value: "smc-graph-basic.js", label:"SMC graph basic"},
+                              {value: "smc-graph-all.js", label:"SMC graph all"},                              
+                              {value: "smc-graph-profiles-datcats.js", label:"only profiles + datcats"},
+                              {value: "smc-graph-groups-profiles-datcats-rr.js", label:"profiles+datcats+groups+rr"},
+                              {value: "smc-graph-profiles-similarity.js", label:"profiles similarity"}                              
+                              /*{value: "dbpedia_philosophers_influence_years_graph.json", label:"Philosophers"},
+                              {value: "SC_Persons_120201_cAll_graph.json", label:"Schnitzler Cooccurrences"},*/
+                              /*,
+                              {value: "smc-graph-mdrepo-stats.js", label:"instance data"}*/
+                              
+                             ], "widget":"selectone" },
+            "depth-before": {"value":2, "min":0, "max":10, "widget":"slider"}, 
+            "depth-after":{"value":2, "min":0, "max":10, "widget":"slider"}, 
+            "link-distance": {"value":120, "min":10, "max":300, "widget":"slider" }, 
+            "charge":{"value":250, "min":10, "max":1000, "widget":"slider" },
+            "friction":{"value":75, "min":1, "max":100, "widget":"slider" },
+            "gravity":{"value":10, "min":1, "max":100, "widget":"slider" },
+            "node-size": {"value":"4", "values":["1","4","8","16","count"], "widget":"selectone" },
+            "link-width": {"value":"1", "values":["1","value"], "widget":"selectone" },
+            "weight":{"value":100, "min":1, "max":100, "widget":"slider" },
+            "labels": {"value":"show", "values":["show","hide"], "widget":"selectone" },                         
+            "curve": {"value":"straight-arrow", "values":["straight-line","arc-line","straight-arrow","arc-arrow"], "widget":"selectone" },
+           "layout": {"value":"horizontal-tree", "values":["vertical-tree", "horizontal-tree", "weak-tree","force","dot", "freeze"], "widget":"selectone" },
+            "selected": {"widget":"hidden" },
+            "link": {"widget":"link", "label":""},
+            "download": {"widget":"link", "label":""},
+            "add_profile": {"widget":"link", "label":"Add profile", "widget":""}
+            };
Index: SMC/trunk/SMC/src/web/scripts/js/smc-graph.js
===================================================================
--- SMC/trunk/SMC/src/web/scripts/js/smc-graph.js	(revision 5977)
+++ SMC/trunk/SMC/src/web/scripts/js/smc-graph.js	(revision 5978)
@@ -14,14 +14,14 @@
 
 var input_prefix = "input-";
-var select_rect_min_size = 5;
-var first_level_margin = 20;
-var base_font_size = 10;
-var min_circle = 4;
-var max_circle = 80;
-
-var show_count = 1;
+var select_rect_min_size = config.select_rect_min_size;
+var first_level_margin = config.first_level_margin ;
+var base_font_size = config.base_font_size ;
+var min_circle = config.min_circle;
+var max_circle = config.max_circle;
+
+var show_count = config.show_count;
  
 
-var detail_url = "http://localhost:8580/exist/apps/smc-browser/get.xql";
+//var detail_url = "http://localhost:8580/exist/apps/smc-browser/get.xql"; obsoleted by config
 var comp_reg_url = "http://catalog.clarin.eu/ds/ComponentRegistry/?item=";
 var wiki_url = "http://en.wikipedia.org/wiki/";
@@ -42,37 +42,8 @@
 //var source_file = "/smc/smc-graph.d3";
 /*var source_file = "/smc/cmd-dep-graph.d3.js";*/
-var data_prefix = "data/";
-var detail_file = "/smc/data/smc_stats_detail.html";
-var userdocs_file = "/smc/docs/userdocs.html";
-
-
-var opts = {"graph": {"value":"smc-graph-basic.js", 
-                    "values":[{value: "smc-graph-basic.js", label:"SMC graph basic"},
-                              {value: "smc-graph-all.js", label:"SMC graph all"},                              
-                              {value: "smc-graph-profiles-datcats.js", label:"only profiles + datcats"},
-                              {value: "smc-graph-groups-profiles-datcats-rr.js", label:"profiles+datcats+groups+rr"},
-                              {value: "smc-graph-profiles-similarity.js", label:"just profiles"},                              
-                              {value: "dbpedia_philosophers_influence_years_graph.json", label:"Philosophers"},
-                              {value: "SC_Persons_120201_cAll_graph.json", label:"Schnitzler Cooccurrences"},
-                              /*,
-                              {value: "smc-graph-mdrepo-stats.js", label:"instance data"}*/
-                              
-                             ], "widget":"selectone" },
-            "depth-before": {"value":2, "min":0, "max":10, "widget":"slider"}, 
-            "depth-after":{"value":2, "min":0, "max":10, "widget":"slider"}, 
-            "link-distance": {"value":120, "min":10, "max":300, "widget":"slider" }, 
-            "charge":{"value":250, "min":10, "max":1000, "widget":"slider" },
-            "friction":{"value":75, "min":1, "max":100, "widget":"slider" },
-            "gravity":{"value":10, "min":1, "max":100, "widget":"slider" },
-            "node-size": {"value":"4", "values":["1","4","8","16","count"], "widget":"selectone" },
-            "weight":{"value":100, "min":1, "max":100, "widget":"slider" },
-            "labels": {"value":"show", "values":["show","hide"], "widget":"selectone" },                         
-            "curve": {"value":"straight-arrow", "values":["straight-line","arc-line","straight-arrow","arc-arrow"], "widget":"selectone" },
-           "layout": {"value":"horizontal-tree", "values":["vertical-tree", "horizontal-tree", "weak-tree","force","dot", "freeze"], "widget":"selectone" },
-            "selected": {"widget":"hidden" },
-            "link": {"widget":"link", "label":""},
-            "download": {"widget":"link", "label":""},
-            "add_profile": {"widget":"link", "label":"Add profile", "widget":""}
-            };
+//var data_prefix = "data/";
+//var detail_file = "/smc/data/smc_stats_detail.html"; obsoleted by config
+//var userdocs_file = "/smc/docs/userdocs.html"; obsoleted by config
+
 
 
@@ -97,5 +68,5 @@
 
      // load data
-     d3.json(data_prefix + graph_source, 
+     d3.json(config.url.data_prefix + graph_source, 
                 function(json) {        
                     // return if data missing
@@ -408,9 +379,10 @@
           .enter().append("svg:marker")
             .attr("id", String)
+            .attr("markerUnits", "userSpaceOnUse")
             .attr("viewBox", "0 -5 10 10")
-            .attr("refX", 15)
-            .attr("refY", -1.5)
-            .attr("markerWidth", 6)
-            .attr("markerHeight", 6)
+            .attr("refX", 10)
+            /*.attr("refY", -1.5)*/
+            .attr("markerWidth", 10)
+            .attr("markerHeight", 10)
             .attr("orient", "auto")
           .append("svg:path")
@@ -425,7 +397,10 @@
             .classed("uses", 1)
             .classed("highlight", function(d) { d.highlight } )
-            .attr("marker-end", function(d) { return "url(#uses)"; })
-            .style("stroke-width", function(d) { return Math.sqrt(d.value); });
+            .attr("marker-end", function(d) { return "url(#uses)"; });
+            
+            if (opt("link-width")=="value") {
+                path.style("stroke-width", function(d) { return Math.sqrt(d.value); });
 /*             .style("stroke-width", function(d) { return d.value });*/
+            } 
 
            path.append("title").text(function(d){ return d.value });
@@ -645,5 +620,5 @@
      
      if (mode=='static') {
-     $(detail_info_holder_selector).load(detail_file,function(data) {
+     $(detail_info_holder_selector).load(config.url.detail,function(data) {
         $(detail_container_selector).find("h3").after(
         '<div id="detail-summary-overall" class="cmds-ui-block init-show" ><div class="header">Overview</div><div class="content">'
@@ -687,5 +662,5 @@
             return d.html();       
         } else {
-            var url = detail_url + "?type=" + type + "&key=" + id;
+            var url = config.url.detail + "?type=" + type + "&key=" + id;
             console.log("get-detail:" + url );
                 $(target).toggleClass("loading");
@@ -1012,5 +987,5 @@
 
         /* don't filter at all */
-        if (weight_threshold == 1) {
+        if (weight_threshold == 1 | opt("weight")=="") {
            var n_in = data.nodes_in[n.key] ? data.nodes_in[n.key] : [] ;
            var n_out = data.nodes_out[n.key] ? data.nodes_out[n.key] : [] ;
Index: SMC/trunk/SMC/src/web/scripts/js/ui.js
===================================================================
--- SMC/trunk/SMC/src/web/scripts/js/ui.js	(revision 5977)
+++ SMC/trunk/SMC/src/web/scripts/js/ui.js	(revision 5978)
@@ -57,5 +57,5 @@
     	
   // loading userdocs as welcome info
-  $(graph_container).load(userdocs_file + " div.document");
+  $(graph_container).load(config.url.userdocs + " div.document");
   
 		loadDetailInfo ();
Index: SMC/trunk/SMC/src/web/scripts/js/ui_settings.js
===================================================================
--- SMC/trunk/SMC/src/web/scripts/js/ui_settings.js	(revision 5977)
+++ SMC/trunk/SMC/src/web/scripts/js/ui_settings.js	(revision 5978)
@@ -1,11 +1,13 @@
 
 /**
- * @fileOverview this is copy of mdservice/mdservice_ui_settings.js
-    It includes all variables and possibilities of app settings concerning following areas:
- * data loading  - actions - possible to set details of data loading (uri)
+ * @fileOverview this holds settings for UI. 
+ (copied from mdservice/mdservice_ui_settings.js and reduced/adjusted)
+ 
+ It includes settings for:
  * pane structure 
  *	- layout_settings[pane_name], layoutBaseSettings - sets the properties of particular panes (ui-layout plugin settings )
  *	- layout_initialisation - structure of particular pane placement
- * app functionality - blocks_settings - the properties of particular ui blocks (type of detail-window display, commands-TODO)
+  
+ *
  * @author 
  * @version 
@@ -25,56 +27,4 @@
 var outerLayout, middleLayout, innerLayout;
 var block_positions = ["center","north","south","east","west"];
-
-
-// LOAD DATA SEETTINGS
-var actions = {
-			base: {
-			base_uri: "/MDService2/"
-		},
-		collections: {
-			base_uri: "/MDService2/collections/",			
-			current:'olac'},
-		elements: {
-				base_uri: "/MDService2/element/",			
-				current:''},
-		terms: {
-			base_uri: "/MDService2/terms/",			
-			current:'all',
-			maxdepth: 8},
-		terms_autocomplete: {
-				base_uri: "/MDService2/terms/",	
-				current:''},
-		components: {
-				base_uri: "/MDService2/comp/",				
-				current:''},
-				/* current:'cmdi-corpus-aac2'}, */		
-		compprofiles: {
-				base_uri: "/MDService2/compprofile/",				
-					current:''},
-					/* current:'cmdi-corpus-aac2'}, */		
-				
-		search: {
-				base_uri: "/MDService2/search/"
-				},
-
-		isocat: {
-				base_uri: "/MDService2/datcats/",
-				current:5
-				},
-		sru: {
-				base_uri: "/MDService2/sru/"
-			 },
-		pazpar: {
-					base_uri: "/MDService2/pazpar2/"
-				 },
-		smc: {
-					base_uri: "/MDService2/smc/"
-				},
-		fcs: {
-					base_uri: "/MDService2/fcs"
-				}	
-
-	};
-
 
 