Index: /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/dao/impl/DBDispatcherTest.java
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/dao/impl/DBDispatcherTest.java	(revision 6062)
+++ /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/dao/impl/DBDispatcherTest.java	(revision 6063)
@@ -1299,5 +1299,5 @@
         mockeryDao.checking(new Expectations() {
             {
-                oneOf(principalDao).principalExists("olhsha@mpi.nl");
+                oneOf(principalDao).principalExists("alice@mail.domain");
                 will(returnValue(true));
 
@@ -1307,5 +1307,5 @@
         PrincipalExists ex = null;
         try {
-            dbDispatcher.addPrincipal(principal, "olhsha@mpi.nl");
+            dbDispatcher.addPrincipal(principal, "alice@mail.domain");
         } catch (PrincipalExists e) {
             ex = e;
Index: /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/dao/impl/JdbcPrincipalDaoTest.java
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/dao/impl/JdbcPrincipalDaoTest.java	(revision 6062)
+++ /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/dao/impl/JdbcPrincipalDaoTest.java	(revision 6063)
@@ -153,5 +153,5 @@
         System.out.println("test principalExists");      
         assertEquals(false,jdbcPrincipalDao.principalExists("guisil@mpi.nl"));       
-        assertTrue(jdbcPrincipalDao.principalExists("olhsha@mpi.nl"));
+        assertTrue(jdbcPrincipalDao.principalExists("alice@mail.domain"));
     }
     
@@ -184,5 +184,5 @@
 //        System.out.println("*****"); 
 //        System.out.println("generate hashes");
-//        System.out.println(Helpers.hashPswd("1234", 512, "olhsha@mpi.nl"));
+//        System.out.println(Helpers.hashPswd("1234", 512, "alice@mail.domain"));
 //        System.out.println(Helpers.hashPswd("5678", 512, "olasei@mpi.nl"));
 //        System.out.println("*****");
Index: /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/AnnotationResourceTest.java
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/AnnotationResourceTest.java	(revision 6062)
+++ /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/AnnotationResourceTest.java	(revision 6063)
@@ -92,5 +92,5 @@
         final Annotation expectedAnnotation = (new TestInstances("/api")).getAnnotationOne();
         annotationResource.setHttpServletRequest(mockRequest);
-        mockRequest.setRemoteUser("olhsha@mpi.nl");
+        mockRequest.setRemoteUser("alice@mail.domain");
         mockRequest.setContextPath("/backend");
         mockRequest.setServletPath("/api");
@@ -100,5 +100,5 @@
                 oneOf(mockDbDispatcher).setResourcesPaths("/backend/api");
 
-                oneOf(mockDbDispatcher).getPrincipalInternalIDFromRemoteID("olhsha@mpi.nl");
+                oneOf(mockDbDispatcher).getPrincipalInternalIDFromRemoteID("alice@mail.domain");
                 will(returnValue(3));
 
@@ -134,5 +134,5 @@
 
         annotationResource.setHttpServletRequest(mockRequest);
-        mockRequest.setRemoteUser("olhsha@mpi.nl");
+        mockRequest.setRemoteUser("alice@mail.domain");
         mockRequest.setContextPath("/backend");
         mockRequest.setServletPath("/api");
@@ -142,5 +142,5 @@
                 oneOf(mockDbDispatcher).setResourcesPaths("/backend/api");
 
-                oneOf(mockDbDispatcher).getPrincipalInternalIDFromRemoteID("olhsha@mpi.nl");
+                oneOf(mockDbDispatcher).getPrincipalInternalIDFromRemoteID("alice@mail.domain");
                 will(returnValue(3));
 
@@ -192,5 +192,5 @@
 
         annotationResource.setHttpServletRequest(mockRequest);
-        mockRequest.setRemoteUser("olhsha@mpi.nl");
+        mockRequest.setRemoteUser("alice@mail.domain");
          mockRequest.setContextPath("/backend");
         mockRequest.setServletPath("/api");
@@ -200,5 +200,5 @@
                 oneOf(mockDbDispatcher).setResourcesPaths("/backend/api");
 
-                oneOf(mockDbDispatcher).getPrincipalInternalIDFromRemoteID("olhsha@mpi.nl");
+                oneOf(mockDbDispatcher).getPrincipalInternalIDFromRemoteID("alice@mail.domain");
                 will(returnValue(3));
 
Index: /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/AnnotationsTest.java
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/AnnotationsTest.java	(revision 6062)
+++ /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/AnnotationsTest.java	(revision 6063)
@@ -334,5 +334,5 @@
    
     protected Builder getAuthenticatedResource(WebResource resource) {
-	return resource.header(HttpHeaders.AUTHORIZATION, "Basic "  + new String(Base64.encode(DummyPrincipal.DUMMY_PRINCIPAL.getName()+":olhapassword")));
+	return resource.header(HttpHeaders.AUTHORIZATION, "Basic "  + new String(Base64.encode(DummyPrincipal.DUMMY_PRINCIPAL.getName()+":alicepassword")));
     }
 }
Index: /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/DummyPrincipal.java
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/DummyPrincipal.java	(revision 6062)
+++ /DASISH/t5.6/backend/annotator-backend/tags/git-copy-censored/annotator-backend/src/test/java/eu/dasish/annotation/backend/rest/DummyPrincipal.java	(revision 6063)
@@ -29,5 +29,5 @@
 
     public static final DummyPrincipal DUMMY_ADMIN_PRINCIPAL = new DummyPrincipal("JUnit.Admin@test.com");
-    public static final DummyPrincipal DUMMY_PRINCIPAL = new DummyPrincipal("olhsha@mpi.nl");
+    public static final DummyPrincipal DUMMY_PRINCIPAL = new DummyPrincipal("alice@mail.domain");
     public static final PrincipalCredentials DUMMY_CREDENTIALS = new PrincipalCredentials(DUMMY_PRINCIPAL) {
 