Index: SRUAggregator/trunk/pom.xml
===================================================================
--- SRUAggregator/trunk/pom.xml	(revision 6092)
+++ SRUAggregator/trunk/pom.xml	(revision 6093)
@@ -8,5 +8,5 @@
 	<groupId>eu.clarin.sru.fcs</groupId>
 	<artifactId>Aggregator2</artifactId>
-	<version>2.0.0-beta-27</version>
+	<version>2.0.0-beta-28</version>
 	<name>FCS Aggregator</name>
 
Index: SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/app/Aggregator.java
===================================================================
--- SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/app/Aggregator.java	(revision 6092)
+++ SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/app/Aggregator.java	(revision 6093)
@@ -88,4 +88,8 @@
  * TODO: add the modes described above (except live)
  *
+ * TODO: update comments everywhere
+ *
+ * TODO: add some basic docs
+ *
  * TODO: Export search results to personal workspace using oauth
  *
Index: SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/ScanCrawlTask.java
===================================================================
--- SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/ScanCrawlTask.java	(revision 6092)
+++ SRUAggregator/trunk/src/main/java/eu/clarin/sru/fcs/aggregator/scan/ScanCrawlTask.java	(revision 6093)
@@ -62,5 +62,5 @@
 			if (additionalCQLEndpoints != null && !additionalCQLEndpoints.isEmpty()) {
 				institutions.add(0,
-						new Institution("ZZZ", null) {
+						new Institution("Unknown Institution", null) {
 							{
 								for (URL u : additionalCQLEndpoints) {
Index: SRUAggregator/trunk/src/main/resources/assets/js/main.js
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 6092)
+++ SRUAggregator/trunk/src/main/resources/assets/js/main.js	(revision 6093)
@@ -3,5 +3,5 @@
 "use strict";
 
-var VERSION = "VERSION 2.0.0-beta-27";
+var VERSION = "VERSION 2.0.0-beta-28";
 var URLROOT = "/Aggregator-testing";
 
Index: SRUAggregator/trunk/src/main/resources/assets/js/main.jsx
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 6092)
+++ SRUAggregator/trunk/src/main/resources/assets/js/main.jsx	(revision 6093)
@@ -3,5 +3,5 @@
 "use strict";
 
-var VERSION = "VERSION 2.0.0-beta-27";
+var VERSION = "VERSION 2.0.0-beta-28";
 var URLROOT = "/Aggregator-testing";
 
Index: SRUAggregator/trunk/src/main/resources/assets/js/search.js
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/search.js	(revision 6092)
+++ SRUAggregator/trunk/src/main/resources/assets/js/search.js	(revision 6093)
@@ -24,4 +24,12 @@
 var layers = [
 	{
+		id: "text",
+		name: "Text Resources",
+		searchPlaceholder: "Elephant",
+		searchLabel: "Search text",
+		searchLabelBkColor: "#fed",
+		className: '',
+	},
+	{
 		id: "sampa",
 		name: "Phonetic Transcriptions",
@@ -29,16 +37,10 @@
 		searchLabel: "SAMPA query",
 		searchLabelBkColor: "#eef",
-	},
-	{
-		id: "text",
-		name: "Text Resources",
-		searchPlaceholder: "Elephant",
-		searchLabel: "Search text",
-		searchLabelBkColor: "#fed",
+		disabled: true,
 	},
 ];
 var layerMap = {
-	sampa: layers[0], 
-	text: layers[1],
+	text: layers[0],
+	sampa: layers[1], 
 };
 
@@ -466,6 +468,8 @@
 									React.createElement("ul", {ref: "layerDropdownMenu", className: "dropdown-menu"}, 
 										 	layers.map(function(l) { 
-												return React.createElement("li", {key: l.id}, " ", React.createElement("a", {tabIndex: "-1", href: "#", 
-													onClick: this.setLayer.bind(this, l.id)}, " ", l.name, " "));
+												var cls = l.disabled ? 'disabled':'';
+												var handler = function() { if (!l.disabled) this.setLayer(l.id); };
+												return React.createElement("li", {key: l.id, className: cls}, " ", React.createElement("a", {tabIndex: "-1", href: "#", 
+													onClick: handler}, " ", l.name, " "));
 											}.bind(this))
 										
Index: SRUAggregator/trunk/src/main/resources/assets/js/search.jsx
===================================================================
--- SRUAggregator/trunk/src/main/resources/assets/js/search.jsx	(revision 6092)
+++ SRUAggregator/trunk/src/main/resources/assets/js/search.jsx	(revision 6093)
@@ -24,4 +24,12 @@
 var layers = [
 	{
+		id: "text",
+		name: "Text Resources",
+		searchPlaceholder: "Elephant",
+		searchLabel: "Search text",
+		searchLabelBkColor: "#fed",
+		className: '',
+	},
+	{
 		id: "sampa",
 		name: "Phonetic Transcriptions",
@@ -29,16 +37,10 @@
 		searchLabel: "SAMPA query",
 		searchLabelBkColor: "#eef",
-	},
-	{
-		id: "text",
-		name: "Text Resources",
-		searchPlaceholder: "Elephant",
-		searchLabel: "Search text",
-		searchLabelBkColor: "#fed",
+		disabled: true,
 	},
 ];
 var layerMap = {
-	sampa: layers[0], 
-	text: layers[1],
+	text: layers[0],
+	sampa: layers[1], 
 };
 
@@ -466,6 +468,8 @@
 									<ul ref="layerDropdownMenu" className="dropdown-menu">
 										{ 	layers.map(function(l) { 
-												return <li key={l.id}> <a tabIndex="-1" href="#" 
-													onClick={this.setLayer.bind(this, l.id)}> {l.name} </a></li>;
+												var cls = l.disabled ? 'disabled':'';
+												var handler = function() { if (!l.disabled) this.setLayer(l.id); };
+												return <li key={l.id} className={cls}> <a tabIndex="-1" href="#" 
+													onClick={handler}> {l.name} </a></li>;
 											}.bind(this))
 										}